/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the Open-Xchange, Inc. group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2004-2012 Open-Xchange, Inc.
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.obs.ant.tasks;

import org.junit.Test;

/**
 * {@link UpdateSpecTest}
 *
 * @author <a href="mailto:marcus.klein@open-xchange.com">Marcus Klein</a>
 */
public class UpdateSpecTest {

    public UpdateSpecTest() {
        super();
    }

    @SuppressWarnings("static-method")
    @Test
    public void testParseChangeLog() {
        new UpdateSpec().parseChangeLog(CHANGELOG);
    }

    private static final String CHANGELOG = "open-xchange-osgi (6.21.0-10) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #3\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Thu, 09 Aug 2012 09:36:34 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-9) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #3\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Thu, 09 Aug 2012 09:35:41 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-8) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #3\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Thu, 09 Aug 2012 09:35:13 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-7) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #3\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Thu, 09 Aug 2012 09:34:25 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-6) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #2\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Tue, 03 Jul 2012 18:43:51 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-5) unstable; urgency=low\n"
        + "\n"
        + "  * Release build for EDP drop #2\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Mon, 04 Jun 2012 12:58:41 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-4) unstable; urgency=low\n"
        + "\n"
        + "  * Internal release build for EDP drop #2\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Tue, 22 May 2012 16:02:42 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-3) unstable; urgency=low\n"
        + "\n"
        + "  * Internal release build for EDP drop #1\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Mon, 16 Apr 2012 15:53:15 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-2) unstable; urgency=low\n"
        + "\n"
        + "  * Internal release build for EDP drop #0\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Wed, 04 Apr 2012 15:50:23 +0200\n"
        + "\n"
        + "open-xchange-osgi (6.21.0-1) unstable; urgency=low\n"
        + "\n"
        + "  * Initial release\n"
        + "\n"
        + " -- Marcus Klein <marcus.klein@open-xchange.com>  Tue,  4 Oct 2011 16:44:02 +0200\n";
}
